Add Single Grant
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/addSingleGrant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"grantName": "<string>",
"grantConfigurationID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantAmount": 123,
"recipientID": "<string>",
"grantDescription": "<string>",
"vestingStartDate": "2023-11-07T05:31:56Z",
"vestingCliffPercentage": 123,
"vestingCliffPeriods": 123,
"vestingPeriods": 123,
"lockup": 123,
"isSection83bElectionEligible": true,
"offPlatformDate": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
]
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/addSingleGrant"
payload = {
"grantName": "<string>",
"grantConfigurationID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"grantAmount": 123,
"recipientID": "<string>",
"grantDescription": "<string>",
"vestingStartDate": "2023-11-07T05:31:56Z",
"vestingCliffPercentage": 123,
"vestingCliffPeriods": 123,
"vestingPeriods": 123,
"lockup": 123,
"isSection83bElectionEligible": True,
"offPlatformDate": "2023-11-07T05:31:56Z",
"tags": ["<string>"]
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
grantName: '<string>',
grantConfigurationID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
grantAmount: 123,
recipientID: '<string>',
grantDescription: '<string>',
vestingStartDate: '2023-11-07T05:31:56Z',
vestingCliffPercentage: 123,
vestingCliffPeriods: 123,
vestingPeriods: 123,
lockup: 123,
isSection83bElectionEligible: true,
offPlatformDate: '2023-11-07T05:31:56Z',
tags: ['<string>']
})
};
fetch('https://app.toku.com/api/tokuApi/v1/addSingleGrant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grantID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Grants
Add Single Grant
Creates a new token grant for an employee.
POST
/
addSingleGrant
Add Single Grant
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
roleInOrgID of the recipient
Available options:
MONTHLY, QUARTERLY, ANNUALLY Response
Grant created
⌘I
